{
  "name": "micro-frontend-slave",
  "private": true,
  "scripts": {
    "start": "cross-env NODE_OPTIONS=--max-old-space-size=8192 NODE_ENV=development UMI_ENV=dev PORT=7607 umi dev",
    "build": "cross-env NODE_OPTIONS=--max-old-space-size=8192 NODE_ENV=production UMI_ENV=prod umi build",
    "postinstall": "umi generate tmp",
    "prettier": "prettier --write '**/*.{js,jsx,tsx,ts,less,md,json}'",
    "test": "umi-test",
    "test:coverage": "umi-test --coverage",
    "this-start": "npm start && cd demo && npm start"
  },
  "gitHooks": {},
  "lint-staged": {
    "*.{js,jsx,less,md,json}": [
      "prettier --write"
    ],
    "*.ts?(x)": [
      "prettier --parser=typescript --write"
    ]
  },
  "dependencies": {
    "@ant-design/pro-layout": "6.32.1",
    "@types/lodash": "^4.14.172",
    "@wtto00/html2canvas": "^1.4.3",
    "@ztree/ztree_v3": "^3.5.42",
    "ahooks": "^3.1.3",
    "antd": "^4.24.10",
    "axios": "^0.22.0",
    "fbemitter": "^3.0.0",
    "js-base64": "^3.6.1",
    "js-cookie": "^2.2.1",
    "jsencrypt": "^3.2.1",
    "jsonwebtoken": "^8.5.1",
    "jspdf": "^2.5.1",
    "lodash": "^4.17.21",
    "mobx": "^6.3.2",
    "mobx-react": "^7.2.0",
    "qs": "^6.10.1",
    "react-beautiful-dnd": "^13.1.0",
    "react-container-query": "^0.12.0",
    "react-contexify": "^5.0.0",
    "react-dnd": "^14.0.3",
    "react-dnd-html5-backend": "^14.0.1",
    "react-fast-compare": "^3.2.0",
    "react-media": "^1.10.0",
    "react-sortable-hoc": "^2.0.0",
    "simple-query-string": "^1.3.2",
    "solarlunar": "^2.0.7",
    "store": "^2.0.12",
    "uuid": "^3.3.2"
  },
  "peerDependencies": {
    "jquery": "^3.6.0",
    "moment": "^2.25.3"
  },
  "devDependencies": {
    "@types/react": "^17.0.2",
    "@types/react-dom": "^17.0.2",
    "@types/store": "^2.0.5",
    "@umijs/plugin-access": "2.4.2",
    "@umijs/plugin-dva": "^0.13.0",
    "@umijs/plugin-initial-state": "^2.4.0",
    "@umijs/plugin-locale": "^0.15.0",
    "@umijs/plugin-model": "^2.6.1",
    "@umijs/plugin-qiankun": "^2.36.0",
    "@umijs/test": "^3.5.20",
    "cross-env": "^7.0.3",
    "less-vars-to-js": "^1.3.0",
    "lint-staged": "^10.0.7",
    "prettier": "^2.2.0",
    "typescript": "^4.3.5",
    "umi": "^3.5.20",
    "umi-plugin-authorize": "^2.8.12",
    "yorkie": "^2.0.0"
  }
}
